Summary:	IPv4 and IPv6 parsing and handling class
Name:		python-IPy
Version:	0.42
Release:	%mkrel 2
License:	BSD-like
Group:		Development/Python
URL:		http://c0re.23.nu/c0de/IPy/
Source0:	http://c0re.23.nu/c0de/IPy/IPy-%{version}.tar.bz2
# http://svn.23.nu/trac/repos/trac.cgi/ticket/3
Patch0:		netmask_0.0.0.0.diff
Requires:	python
BuildRequires:	python-devel >= %{pyver}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks in a
fashion similar to perl's Net::IP  and friends. The IP class allows a
comfortable parsing and handling for most notations in use for IPv4 and IPv6
Addresses and Networks. 

%prep

%setup -q -n IPy-%{version}
%patch0 -p0

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root %{buildroot} --install-purelib=%{py_sitedir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc example CHANGES README THANKS
%{py_sitedir}/*

%changelog
* Fri Jun 16 2006 Oden Eriksson <oeriksson@mandriva.com> 0.42-2mdv2007.0
- fix build on 2006 x86_64

* Wed Jun 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.42-1mdv2007.0
- initial Mandriva package
